;
; MEKA - Patches database
; Commands:
;  - Seek <position> ... Jump to (ROM) position
;  - Write <byte> ...... Write byte at current position, increase position
;                        (all values are in hexadecimal format)
; If you succeed in hacking any other games, please send me your patche(s) !
; http://www.emucamp.com/meka
;

; Wonderboy 3: Dragon's Trap (multi-language version)
; Patch rom to allow FM chipset use in European/US mode
; The non-patched game play FM musics only in Japanese mode
; Author: Omar Cornut / Zoop
[9C7847B5CB3F875F]
seek, 025B
write, 00
write, 00

; Monica em: O Resgate (brazilian version)
; Patch rom to allow FM chipset use in European/US mode
; The non-patched game play FM musics only in Japanese mode
; Author: Omar Cornut / Zoop
[0E91C33709612BD2]
seek, 025B
write, 00
write, 00

; American Pro Football
; Fix a bug in the game which prevent it to work with a FM chip
; Author: Omar Cornut / Zoop
[F5E365059B891882]
seek, 05A7
write, AF
write, 00

; Sport Pad Soccer (Japanese version)
; Fix a bug in the game which prevent it to work without a FM chipset
; Author: Omar Cornut / Zoop
[6333A82396B2CF88]
seek, 0173
write, 0C

; Ninja Gaiden
; Bad dump Sega logo patch
; Author: Omar Cornut / Zoop
[4B1A5BE482A63301]
seek, 8004
write, FF

; Sega Basic Level 3 1.0 (European)
; Hardware check patch
; Author: Ricardo Bittencourt
[242CE122F9157C23]
seek, 00
write, C3

; Sega Basic Level 3 1.1 (Japanese)
; Hardware check patch
; Author: Omar Cornut / Zoop
[0261FB18D318752A]
seek, 689c
write, 00
write, 00
write, 00

; Sega Music Editor
; Hardware check patch
; Author: Ricardo Bittencourt
[F563D149DA372558]
seek, 00
write, C3

; Star Trek debugging patch
; Author: Omar Cornut / Zoop
;[CCD54E587E846A4D]
;seek, 013C
;write, 3E
;write, D0
;write, 00

; Pit Pot
; [BD3E8E6BB4B48C18]
; seek, 090
; write, CA

; Fantasy Zone
; [6D3986E0E6097F86]
; seek, 8A1
; write, 00
; write, 00
; seek, 8A6
; write, 00
; write, 00

